/**
 * 
 * Written by Mrton Mnz and Philip C Biggin
 * Copyright (c) University of Oxford, United Kingdom
 * Visit http://sbcb.bioch.ox.ac.uk/jgromacs/
 * 
 * This source code file is part of JGromacs v1.0.
 * 
 * JGromacs v1.0 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * JGromacs v1.0. is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with JGromacs v1.0. If not, see <http://www.gnu.org/licenses/>.
 * 
 */


import jgromacs.data.Angle;
import junit.framework.TestCase;

import org.junit.Test;

public class AngleTest extends TestCase{

	@Test
	public void testGetInRadians() {

		Angle angle = new Angle();
		
		angle.setInDegrees(180);
		assertEquals(3.14159265,angle.getInRadians(),0.00001);
		
		angle.setInDegrees(68);
		assertEquals(1.1868238,angle.getInRadians(),0.00001);
		
		angle.setInDegrees(-97);
		assertEquals(-1.6929693,angle.getInRadians(),0.00001);
		
	}

	@Test
	public void testSetInRadians() {
		
		Angle angle = new Angle();
	
		angle.setInRadians(3.14159265);
		assertEquals(180, angle.getInDegrees(),0.00001);
		
		angle.setInRadians(1.1868238);
		assertEquals(68, angle.getInDegrees(),0.00001);
		
		angle.setInRadians(-1.6929693);
		assertEquals(-97, angle.getInDegrees(),0.00001);
		
	}
	
	@Test
	public void testCloneEquals() {
		
		Angle x = new Angle(180);
		
		Angle cx = (Angle)x.clone();
		
		assertTrue(x.equals(cx));
		assertTrue(x!=cx);
		
		x.setInDegrees(60);
		assertTrue(!x.equals(cx));
		
	}

}
